summaryrefslogtreecommitdiff
path: root/support
diff options
context:
space:
mode:
authorRomain Naour <romain.naour@gmail.com>2016-07-05 13:02:09 +0200
committerThomas Petazzoni <thomas.petazzoni@free-electrons.com>2016-07-05 17:36:57 +0200
commit9cf1ad6cdb37c5be5772121896f4b13ec42c2b0d (patch)
tree69bf91432318ac22945d8fa6e4797750cda89cef /support
parent9e5e2ea9bb2836612ef76ff285cf2d2bfcea0ddb (diff)
apply-patches: catch unexpected failure
As reported by Sébastien Szymanski [1], the apply-patches script doesn't stop if a tar command can't extract an archive. Use "set -e" to exit immediately if a command return an error. [1] http://patchwork.ozlabs.org/patch/626196 Signed-off-by: Romain Naour <romain.naour@gmail.com> Cc: Sébastien Szymanski <sebastien.szymanski@armadeus.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
Diffstat (limited to 'support')
-rwxr-xr-xsupport/scripts/apply-patches.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/support/scripts/apply-patches.sh b/support/scripts/apply-patches.sh
index 694302d33..11fa5bf68 100755
--- a/support/scripts/apply-patches.sh
+++ b/support/scripts/apply-patches.sh
@@ -31,6 +31,9 @@
# applied. The list of the patches applied is stored in '.applied_patches_list'
# file in the build directory.
+# We want to catch any unexpected failure, and exit immediately.
+set -e
+
silent=
if [ "$1" = "-s" ] ; then
# add option to be used by the patch tool